Subject: git-format-patch patch

From: [email-masked]
Date: Thu, 18 Dec 2008 04:53:42 +0800

I'm still reading the manpage about submitting proper patches, so for now:

*** /tmp/git-format-patch.txt	2008-12-18 04:41:34.050800884 +0800
--- /tmp/git-format-patchNEW.txt	2008-12-18 04:46:25.738801367 +0800
***************
*** 127,133 ****
  --in-reply-to=Message-Id::
  	Make the first mail (or all the mails with --no-thread) appear as a
  	reply to the given Message-Id, which avoids breaking threads to
! 	provide a new patch series.
  
  --ignore-if-in-upstream::
  	Do not include a patch that matches a commit in
--- 127,134 ----
  --in-reply-to=Message-Id::
  	Make the first mail (or all the mails with --no-thread) appear as a
  	reply to the given Message-Id, which avoids breaking threads to
! 	provide a new patch series. Generates coresponding References and
! 	In-Reply-To headers. Angle brackets around <Message-Id> are optional.
  
  --ignore-if-in-upstream::
  	Do not include a patch that matches a commit in